import { a as __extends } from './tslib.es6-f952ba6f.js';
import { U as Utils } from './Utils-38a0872e.js';
import { C as ChartComponent } from './ChartComponent-ed6f3c6d.js';
import { C as ChartDataOptions } from './ChartDataOptions-a8fe7914.js';

var ChartVisualizationComponent = /** @class */ (function (_super) {
    __extends(ChartVisualizationComponent, _super);
    function ChartVisualizationComponent(renderTarget) {
        return _super.call(this, renderTarget) || this;
    }
    ChartVisualizationComponent.prototype.render = function (data, options, aggregateExpressionOptions) {
        this.data = Utils.standardizeTSStrings(data);
        this.chartOptions.setOptions(options);
        this.aggregateExpressionOptions = data.map(function (d, i) {
            return Object.assign(d, aggregateExpressionOptions && i in aggregateExpressionOptions ?
                new ChartDataOptions(aggregateExpressionOptions[i]) :
                new ChartDataOptions({}));
        });
    };
    return ChartVisualizationComponent;
}(ChartComponent));

export { ChartVisualizationComponent as C };
