import { H as HistoryPlayback, T as TsqExpression } from './HistoryPlayback-fe4b7977';

declare class GeoProcessGraphic extends HistoryPlayback {
    private dataSource;
    private azureMapsSubscriptionKey;
    private zoom;
    private width;
    private height;
    private theme;
    private center;
    private bearing;
    private pitch;
    private maxZoom;
    private minZoom;
    private duration;
    private map;
    constructor(renderTarget: Element);
    render(environmentFqdn: string, getToken: () => Promise<string>, data: Array<TsqExpression>, chartOptions: any): void;
    protected loadResources(): Promise<any>;
    protected draw(): void;
    protected getDataPoints(results: Array<IGeoProcessGraphicLabelInfo>): void;
    protected parseTsqResponse(response: any): {};
    protected updateDataMarkers(dataPoints: Array<any>): void;
    protected createTable(dataPointArr: any, idx: any): HTMLDivElement;
}
interface IGeoProcessGraphicLabelInfo {
}

export { GeoProcessGraphic as G };
