import { C as ChartVisualizationComponent } from './ChartVisualizationComponent-2db4113e';
import { G as GroupedBarChartData } from './GroupedBarChartData-05cabfc2';

declare class PieChartData extends GroupedBarChartData {
    timestamp: any;
    flatValueArray: any;
    visibleValuesSum: number;
    constructor();
    mergeDataToDisplayStateAndTimeArrays(data: any, timestamp: any, aggregateExpressionOptions?: any): void;
    updateFlatValueArray(timestamp: any): void;
}

declare class PieChart extends ChartVisualizationComponent {
    private contextMenu;
    chartComponentData: PieChartData;
    constructor(renderTarget: Element);
    PieChart(): void;
    render(data: any, options: any, aggregateExpressionOptions: any): void;
}

export { PieChart as P };
